Index: code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 715)
@@ -27,4 +27,5 @@
 
 #include <vector>
+#include <string>
 
 #include <OgreSceneManager.h>
@@ -34,5 +35,4 @@
 #include "misc/String2Number.h"
 #include "misc/ColourValue.h"
-#include "misc/String.h"
 #include "../core/Debug.h"
 #include "../core/CoreIncludes.h"
@@ -61,5 +61,5 @@
     	{
 
-	    	std::vector<String> colourvalues = tokenize(xmlElem->Attribute("colourvalue"),",");
+	    	std::vector<std::string> colourvalues = tokenize(xmlElem->Attribute("colourvalue"),",");
 	    	float r, g, b;
     	 	String2Number<float>(r, colourvalues[0]);
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.cc	(revision 715)
@@ -45,5 +45,5 @@
     }
 
-    void BillboardSet::setBillboardSet(const String& file, const ColourValue& colour, int count, const Vector3& position)
+    void BillboardSet::setBillboardSet(const std::string& file, const ColourValue& colour, int count, const Vector3& position)
     {
         std::ostringstream name;
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 715)
@@ -1,4 +1,6 @@
 #ifndef _BillboardSet_H__
 #define _BillboardSet_H__
+
+#include <string>
 
 #include <OgreBillboardSet.h>
@@ -6,5 +8,4 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "misc/String.h"
 #include "../core/CoreIncludes.h"
 #include "misc/ColourValue.h"
@@ -18,10 +19,10 @@
             BillboardSet();
             ~BillboardSet();
-            void setBillboardSet(const String& file, const ColourValue& colour = ColourValue(1.0, 1.0, 1.0), int count = 1, const Vector3& position = Vector3::ZERO);
+            void setBillboardSet(const std::string& file, const ColourValue& colour = ColourValue(1.0, 1.0, 1.0), int count = 1, const Vector3& position = Vector3::ZERO);
 
             inline Ogre::BillboardSet* getBillboardSet()
                 { return this->billboardSet_; }
 
-            inline const String& getName() const
+            inline const std::string& getName() const
                 { return this->billboardSet_->getName(); }
 
Index: code/branches/FICN/src/orxonox/objects/Camera.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 715)
@@ -1,2 +1,4 @@
+#include <string>
+
 #include <OgreSceneManager.h>
 #include <OgreSceneNode.h>
@@ -9,5 +11,4 @@
 #include "misc/String2Number.h"
 #include "misc/Vector3.h"
-#include "misc/String.h"
 #include "../core/Debug.h"
 #include "../core/CoreIncludes.h"
@@ -38,12 +39,12 @@
         //    <Camera name="Camera" pos="0,0,-250" lookat="0,0,0" />
 
-        String name = xmlElem->Attribute("name");
-        String pos = xmlElem->Attribute("pos");
-        String lookat = xmlElem->Attribute("lookat");
+        std::string name = xmlElem->Attribute("name");
+        std::string pos = xmlElem->Attribute("pos");
+        std::string lookat = xmlElem->Attribute("lookat");
 
         Ogre::Camera *cam = mgr->createCamera(name);
 
         float x, y, z;
-        std::vector<String> posVec = tokenize(xmlElem->Attribute("pos"),",");
+        std::vector<std::string> posVec = tokenize(xmlElem->Attribute("pos"),",");
         String2Number<float>(x, posVec[0]);
         String2Number<float>(y, posVec[1]);
@@ -59,5 +60,5 @@
         cam->lookAt(Vector3(x,y,z));
 
-        String node = xmlElem->Attribute("node");
+        std::string node = xmlElem->Attribute("node");
 
         Ogre::SceneNode* sceneNode = (Ogre::SceneNode*)mgr->getRootSceneNode()->createChildSceneNode(node); //getChild(node);
Index: code/branches/FICN/src/orxonox/objects/Fighter.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Fighter.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/Fighter.cc	(revision 715)
@@ -26,4 +26,6 @@
  */
 
+#include <string>
+
 #include <OgreCamera.h>
 #include <OgreRenderWindow.h>
@@ -33,5 +35,4 @@
 #include "tinyxml/tinyxml.h"
 #include "misc/String2Number.h"
-#include "misc/String.h"
 #include "../core/CoreIncludes.h"
 #include "../Orxonox.h"
@@ -174,8 +175,8 @@
         if (xmlElem->Attribute("forward") && xmlElem->Attribute("rotateupdown") && xmlElem->Attribute("rotaterightleft") && xmlElem->Attribute("looprightleft"))
         {
-            String forwardStr = xmlElem->Attribute("forward");
-            String rotateupdownStr = xmlElem->Attribute("rotateupdown");
-            String rotaterightleftStr = xmlElem->Attribute("rotaterightleft");
-            String looprightleftStr = xmlElem->Attribute("looprightleft");
+            std::string forwardStr = xmlElem->Attribute("forward");
+            std::string rotateupdownStr = xmlElem->Attribute("rotateupdown");
+            std::string rotaterightleftStr = xmlElem->Attribute("rotaterightleft");
+            std::string looprightleftStr = xmlElem->Attribute("looprightleft");
 
             String2Number<float>(this->maxSpeedForward_, forwardStr);
Index: code/branches/FICN/src/orxonox/objects/Light.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Light.h	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/Light.h	(revision 715)
@@ -1,4 +1,6 @@
 #ifndef _Light_H__
 #define _Light_H__
+
+#include <string>
 
 #include <OgreLight.h>
@@ -6,5 +8,4 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "misc/String.h"
 #include "misc/ColourValue.h"
 
@@ -21,5 +22,5 @@
                 { return this->light_; }
 
-            inline const String& getName() const
+            inline const std::string& getName() const
                 { return this->light_->getName(); }
 
Index: code/branches/FICN/src/orxonox/objects/Mesh.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Mesh.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/Mesh.cc	(revision 715)
@@ -43,5 +43,5 @@
     }
 
-    void Mesh::setMesh(const String& file)
+    void Mesh::setMesh(const std::string& file)
     {
         std::ostringstream name;
Index: code/branches/FICN/src/orxonox/objects/Mesh.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Mesh.h	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/Mesh.h	(revision 715)
@@ -1,10 +1,10 @@
 #ifndef _Mesh_H__
 #define _Mesh_H__
+
+#include <string>
 
 #include <OgreEntity.h>
 
 #include "../OrxonoxPrereqs.h"
-
-#include "misc/String.h"
 
 namespace orxonox
@@ -15,10 +15,10 @@
             Mesh();
             ~Mesh();
-            void setMesh(const String& file);
+            void setMesh(const std::string& file);
 
             inline Ogre::Entity* getEntity()
                 { return this->entity_; }
 
-            inline const String& getName() const
+            inline const std::string& getName() const
                 { return this->entity_->getName(); }
 
Index: code/branches/FICN/src/orxonox/objects/Model.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.h	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/Model.h	(revision 715)
@@ -21,5 +21,5 @@
 
         private:
-            String meshSrc_;
+            std::string meshSrc_;
             Mesh mesh_;
             void registerAllVariables();
Index: code/branches/FICN/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 715)
@@ -26,4 +26,6 @@
  */
 
+#include <string>
+
 #include <OgreSceneManager.h>
 
@@ -31,5 +33,4 @@
 //#include "misc/Tokenizer.h"
 //#include "misc/String2Number.h"
-#include "misc/String.h"
 #include "../Orxonox.h"
 #include "../core/CoreIncludes.h"
@@ -57,5 +58,5 @@
     	if (xmlElem->Attribute("src"))
     	{
-    		String skyboxSrc = xmlElem->Attribute("src");
+    		std::string skyboxSrc = xmlElem->Attribute("src");
 	    	mgr->setSkyBox(true, skyboxSrc);
 
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 715)
@@ -26,4 +26,6 @@
  */
 
+#include <string>
+
 #include <OIS/OIS.h>
 #include <OgreCamera.h>
@@ -34,5 +36,4 @@
 #include "tinyxml/tinyxml.h"
 #include "misc/String2Number.h"
-#include "misc/String.h"
 #include "../core/CoreIncludes.h"
 #include "../core/Debug.h"
@@ -196,8 +197,8 @@
         if (xmlElem->Attribute("forward") && xmlElem->Attribute("rotateupdown") && xmlElem->Attribute("rotaterightleft") && xmlElem->Attribute("looprightleft"))
         {
-            String forwardStr = xmlElem->Attribute("forward");
-            String rotateupdownStr = xmlElem->Attribute("rotateupdown");
-            String rotaterightleftStr = xmlElem->Attribute("rotaterightleft");
-            String looprightleftStr = xmlElem->Attribute("looprightleft");
+            std::string forwardStr = xmlElem->Attribute("forward");
+            std::string rotateupdownStr = xmlElem->Attribute("rotateupdown");
+            std::string rotaterightleftStr = xmlElem->Attribute("rotaterightleft");
+            std::string looprightleftStr = xmlElem->Attribute("looprightleft");
 
             String2Number<float>(this->maxSpeedForward_, forwardStr);
@@ -212,11 +213,11 @@
         {
 
-            String msStr = xmlElem->Attribute("maxSpeed");
-            String msabsStr = xmlElem->Attribute("maxSideAndBackSpeed");
-            String mrStr = xmlElem->Attribute("maxRotation");
-            String taStr = xmlElem->Attribute("transAcc");
-            String raStr = xmlElem->Attribute("rotAcc");
-            String tdStr = xmlElem->Attribute("transDamp");
-            String rdStr = xmlElem->Attribute("rotDamp");
+            std::string msStr = xmlElem->Attribute("maxSpeed");
+            std::string msabsStr = xmlElem->Attribute("maxSideAndBackSpeed");
+            std::string mrStr = xmlElem->Attribute("maxRotation");
+            std::string taStr = xmlElem->Attribute("transAcc");
+            std::string raStr = xmlElem->Attribute("rotAcc");
+            std::string tdStr = xmlElem->Attribute("transDamp");
+            std::string rdStr = xmlElem->Attribute("rotDamp");
 
             String2Number<float>(this->maxSpeed_, msStr);
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 715)
@@ -26,4 +26,5 @@
  */
 
+#include <string>
 #include <sstream>
 
@@ -31,5 +32,4 @@
 #include "misc/Tokenizer.h"
 #include "misc/String2Number.h"
-#include "misc/String.h"
 #include "../core/CoreIncludes.h"
 #include "../Orxonox.h"
@@ -88,5 +88,5 @@
         if (xmlElem->Attribute("position"))
         {
-            std::vector<String> pos = tokenize(xmlElem->Attribute("position"),",");
+            std::vector<std::string> pos = tokenize(xmlElem->Attribute("position"),",");
             float x, y, z;
             String2Number<float>(x, pos[0]);
@@ -98,5 +98,5 @@
         if (xmlElem->Attribute("direction"))
         {
-            std::vector<String> pos = tokenize(xmlElem->Attribute("direction"),",");
+            std::vector<std::string> pos = tokenize(xmlElem->Attribute("direction"),",");
             float x, y, z;
             String2Number<float>(x, pos[0]);
@@ -125,5 +125,5 @@
         if (xmlElem->Attribute("scale"))
         {
-            String scaleStr = xmlElem->Attribute("scale");
+            std::string scaleStr = xmlElem->Attribute("scale");
             float scale;
             String2Number<float>(scale, scaleStr);
@@ -133,5 +133,5 @@
         if (xmlElem->Attribute("rotationAxis"))
         {
-            std::vector<String> pos = tokenize(xmlElem->Attribute("rotationAxis"),",");
+            std::vector<std::string> pos = tokenize(xmlElem->Attribute("rotationAxis"),",");
             float x, y, z;
             String2Number<float>(x, pos[0]);
Index: code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.cc	(revision 715)
@@ -59,5 +59,5 @@
   }
 
-  void AmmunitionDump::setDumpSize(const String &name, int size)
+  void AmmunitionDump::setDumpSize(const std::string &name, int size)
   {
     if (size < 0)
@@ -70,5 +70,5 @@
 
 
-  int AmmunitionDump::store(const String &name, int quantity)
+  int AmmunitionDump::store(const std::string &name, int quantity)
   {
     int id = Orxonox::getSingleton()->getBulletMgr()->getAmmunitionID(name);
@@ -87,5 +87,5 @@
 
 
-  int AmmunitionDump::getAmmunition(const String &name, int quantity)
+  int AmmunitionDump::getAmmunition(const std::string &name, int quantity)
   {
     int id = Orxonox::getSingleton()->getBulletMgr()->getAmmunitionID(name);
@@ -103,5 +103,5 @@
 
 
-  int AmmunitionDump::getStockSize(const String &name)
+  int AmmunitionDump::getStockSize(const std::string &name)
   {
     int id = Orxonox::getSingleton()->getBulletMgr()->getAmmunitionID(name);
Index: code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h	(revision 715)
@@ -30,4 +30,6 @@
 #define _AmmunitionDump_H__
 
+#include <string>
+
 #include <OgrePrerequisites.h>
 
@@ -36,5 +38,4 @@
 #include "network/Synchronisable.h"
 //#include "../core/CoreIncludes.h"
-#include "misc/String.h"
 #include "../BaseObject.h"
 
@@ -47,11 +48,11 @@
 	  ~AmmunitionDump();
 
-    void setDumpSize(const String &name, int size);
+    void setDumpSize(const std::string &name, int size);
 
-    int store(const String &name, int quantiy);
+    int store(const std::string &name, int quantiy);
 
-    int getAmmunition(const String &name, int quantity);
+    int getAmmunition(const std::string &name, int quantity);
 
-    int getStockSize(const String &name);
+    int getStockSize(const std::string &name);
 
     virtual void loadParams(TiXmlElement* xmlElem) { BaseObject::loadParams(xmlElem); };
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.cc	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.cc	(revision 715)
@@ -82,7 +82,7 @@
   }
 
-  int BulletManager::getAmmunitionID(const String &ammoName)
+  int BulletManager::getAmmunitionID(const std::string &ammoName)
   {
-    String ammoTypes[] = { "Energy Cell", "Barrel", "Lead Shot" };
+    std::string ammoTypes[] = { "Energy Cell", "Barrel", "Lead Shot" };
     int ammoTypesLength = 3;
 
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h	(revision 708)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h	(revision 715)
@@ -30,4 +30,6 @@
 #define _BulletManager_H__
 
+#include <string>
+
 #include <OgrePrerequisites.h>
 
@@ -37,5 +39,4 @@
 #include "tinyxml/tinyxml.h"
 //#include "../core/CoreIncludes.h"
-#include "misc/String.h"
 #include "../BaseObject.h"
 #include "../Tickable.h"
@@ -50,5 +51,5 @@
     void addBullet(Bullet*);
 
-    int getAmmunitionID(const String&);
+    int getAmmunitionID(const std::string&);
 
     int getNumberOfAmmos();