Index: code/branches/FICN/src/misc/ColourValue.h
===================================================================
--- code/branches/FICN/src/misc/ColourValue.h	(revision 715)
+++ code/branches/FICN/src/misc/ColourValue.h	(revision 716)
@@ -1,3 +1,2 @@
-#include <OgreColourValue.h>
 
 #include "Math.h"
@@ -5,4 +4,3 @@
 namespace orxonox
 {
-  typedef Ogre::ColourValue ColourValue;
 }
Index: code/branches/FICN/src/misc/Math.h
===================================================================
--- code/branches/FICN/src/misc/Math.h	(revision 715)
+++ code/branches/FICN/src/misc/Math.h	(revision 716)
@@ -1,3 +1,9 @@
 #include <OgreMath.h>
+#include <OgreVector2.h>
+#include <OgreVector3.h>
+#include <OgreVector4.h>
+#include <OgreMatrix3.h>
+#include <OgreQuaternion.h>
+#include <OgreColourValue.h>
 
 namespace orxonox
@@ -5,3 +11,9 @@
   typedef Ogre::Radian Radian;
   typedef Ogre::Degree Degree;
+  typedef Ogre::Vector2 Vector2;
+  typedef Ogre::Vector3 Vector3;
+  typedef Ogre::Vector4 Vector4;
+  typedef Ogre::Matrix3 Matrix3;
+  typedef Ogre::Quaternion Quaternion;
+  typedef Ogre::ColourValue ColourValue;
 }
Index: code/branches/FICN/src/misc/Matrix3.h
===================================================================
--- code/branches/FICN/src/misc/Matrix3.h	(revision 715)
+++ code/branches/FICN/src/misc/Matrix3.h	(revision 716)
@@ -1,3 +1,2 @@
-#include <OgreMatrix3.h>
 
 #include "Math.h"
@@ -5,4 +4,3 @@
 namespace orxonox
 {
-  typedef Ogre::Matrix3 Matrix3;
 }
Index: code/branches/FICN/src/misc/Quaternion.h
===================================================================
--- code/branches/FICN/src/misc/Quaternion.h	(revision 715)
+++ code/branches/FICN/src/misc/Quaternion.h	(revision 716)
@@ -1,3 +1,2 @@
-#include <OgreQuaternion.h>
 
 #include "Math.h"
@@ -5,4 +4,3 @@
 namespace orxonox
 {
-  typedef Ogre::Quaternion Quaternion;
 }
Index: code/branches/FICN/src/misc/Vector2.h
===================================================================
--- code/branches/FICN/src/misc/Vector2.h	(revision 715)
+++ code/branches/FICN/src/misc/Vector2.h	(revision 716)
@@ -1,3 +1,2 @@
-#include <OgreVector2.h>
 
 #include "Math.h"
@@ -5,4 +4,3 @@
 namespace orxonox
 {
-  typedef Ogre::Vector2 Vector2;
 }
Index: code/branches/FICN/src/misc/Vector3.h
===================================================================
--- code/branches/FICN/src/misc/Vector3.h	(revision 715)
+++ code/branches/FICN/src/misc/Vector3.h	(revision 716)
@@ -1,3 +1,2 @@
-#include <OgreVector3.h>
 
 #include "Math.h"
@@ -5,4 +4,3 @@
 namespace orxonox
 {
-  typedef Ogre::Vector3 Vector3;
 }
Index: code/branches/FICN/src/misc/Vector4.h
===================================================================
--- code/branches/FICN/src/misc/Vector4.h	(revision 715)
+++ code/branches/FICN/src/misc/Vector4.h	(revision 716)
@@ -1,3 +1,2 @@
-#include <OgreVector4.h>
 
 #include "Math.h"
@@ -5,4 +4,3 @@
 namespace orxonox
 {
-  typedef Ogre::Vector4 Vector4;
 }
Index: code/branches/FICN/src/orxonox/SpaceshipSteering.cc
===================================================================
--- code/branches/FICN/src/orxonox/SpaceshipSteering.cc	(revision 715)
+++ code/branches/FICN/src/orxonox/SpaceshipSteering.cc	(revision 716)
@@ -30,5 +30,5 @@
 
 #include "core/Debug.h"
-#include "misc/Vector3.h"
+#include "misc/Math.h"
 #include "SpaceshipSteering.h"
 
Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.h
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 715)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 716)
@@ -48,9 +48,5 @@
 #include "CorePrereqs.h"
 
-#include "misc/Vector2.h"
-#include "misc/Vector3.h"
-#include "misc/Matrix3.h"
-#include "misc/Quaternion.h"
-#include "misc/ColourValue.h"
+#include "misc/Math.h"
 #include "Language.h"
 
Index: code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 716)
@@ -34,5 +34,5 @@
 #include "misc/Tokenizer.h"
 #include "misc/String2Number.h"
-#include "misc/ColourValue.h"
+#include "misc/Math.h"
 #include "../core/Debug.h"
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.cc	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.cc	(revision 716)
@@ -31,6 +31,5 @@
 
 #include "../Orxonox.h"
-#include "misc/Vector3.h"
-#include "misc/ColourValue.h"
+#include "misc/Math.h"
 
 #include "BillboardSet.h"
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 716)
@@ -10,5 +10,5 @@
 #include "../core/CoreIncludes.h"
 #include "misc/ColourValue.h"
-#include "misc/Vector3.h"
+#include "misc/Math.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/Camera.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 716)
@@ -10,5 +10,5 @@
 #include "misc/Tokenizer.h"
 #include "misc/String2Number.h"
-#include "misc/Vector3.h"
+#include "misc/Math.h"
 #include "../core/Debug.h"
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/Explosion.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 716)
@@ -31,5 +31,5 @@
 
 #include "../core/CoreIncludes.h"
-#include "misc/ColourValue.h"
+#include "misc/Math.h"
 #include "../Orxonox.h"
 #include "../particle/ParticleInterface.h"
Index: code/branches/FICN/src/orxonox/objects/Light.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Light.h	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/Light.h	(revision 716)
@@ -8,5 +8,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "misc/ColourValue.h"
+#include "misc/Math.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 716)
@@ -7,7 +7,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "misc/Vector3.h"
-#include "misc/Matrix3.h"
-#include "misc/Quaternion.h"
+#include "misc/Math.h"
 #include "network/Synchronisable.h"
 #include "tinyxml/tinyxml.h"
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.cc	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.cc	(revision 716)
@@ -31,5 +31,5 @@
 #include <OgreSceneManager.h>
 
-#include "misc/Vector3.h"
+#include "misc/Math.h"
 #include "Bullet.h"
 #include "BulletManager.h"
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.cc	(revision 715)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.cc	(revision 716)
@@ -31,5 +31,5 @@
 #include <OgreSceneManager.h>
 
-#include "misc/Vector3.h"
+#include "misc/Math.h"
 #include "../../Orxonox.h"
 #include "Bullet.h"
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.h
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 715)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 716)
@@ -15,6 +15,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "misc/Vector3.h"
-#include "misc/ColourValue.h"
+#include "misc/Math.h"
 
 
Index: code/branches/FICN/visual_studio/benixonox.vcproj
===================================================================
--- code/branches/FICN/visual_studio/benixonox.vcproj	(revision 715)
+++ code/branches/FICN/visual_studio/benixonox.vcproj	(revision 716)
@@ -451,8 +451,4 @@
 				</File>
 				<File
-					RelativePath="..\src\misc\String.h"
-					>
-				</File>
-				<File
 					RelativePath="..\src\misc\String2Number.h"
 					>