Index: /code/branches/FICN/CMakeLists.txt
===================================================================
--- /code/branches/FICN/CMakeLists.txt	(revision 727)
+++ /code/branches/FICN/CMakeLists.txt	(revision 728)
@@ -1,3 +1,2 @@
-
 PROJECT(Orxonox)
 #set some global variables, which are used throughout the project
@@ -58,5 +57,4 @@
 
 
-
 #This sets where to look for "Find*.cmake" files
 SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
Index: /code/branches/FICN/src/audio/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/audio/CMakeLists.txt	(revision 727)
+++ /code/branches/FICN/src/audio/CMakeLists.txt	(revision 728)
@@ -18,5 +18,13 @@
 ENDIF(WIN32)
 
-TARGET_LINK_LIBRARIES(audio ${OPENAL_LIBRARY} ${ALUT_LIBRARY} ${VORBISFILE_LIBRARY} ${VORBISENC_LIBRARY} ${VORBIS_LIBRARY} ${OGG_LIBRARY})
+TARGET_LINK_LIBRARIES(
+  audio
+  ${OPENAL_LIBRARY}
+  ${ALUT_LIBRARY}
+  ${VORBISFILE_LIBRARY}
+  ${VORBISENC_LIBRARY}
+  ${VORBIS_LIBRARY}
+  ${OGG_LIBRARY}
+)
 
 
Index: /code/branches/FICN/src/misc/testing/TestConverter.cpp
===================================================================
--- /code/branches/FICN/src/misc/testing/TestConverter.cpp	(revision 727)
+++ /code/branches/FICN/src/misc/testing/TestConverter.cpp	(revision 728)
@@ -4,5 +4,5 @@
 int main(int argc, char** argv)
 {
-  int input = 5;
+  int input = rand();
   std::string sub;
   int output = 0;
Index: /code/branches/FICN/src/orxonox/SpaceshipSteering.cc
===================================================================
--- /code/branches/FICN/src/orxonox/SpaceshipSteering.cc	(revision 727)
+++ /code/branches/FICN/src/orxonox/SpaceshipSteering.cc	(revision 728)
Index: /code/branches/FICN/src/orxonox/core/CorePrereqs.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/CorePrereqs.h	(revision 727)
+++ /code/branches/FICN/src/orxonox/core/CorePrereqs.h	(revision 728)
@@ -27,5 +27,5 @@
 
 /**
- @file  OrxonoxPrereq.cc
+ @file  OrxonoxPrereq.h
  @brief Contains all the necessary forward declarations for all classes, structs and enums.
  */
Index: /code/branches/FICN/src/orxonox/core/DebugLevel.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/DebugLevel.cc	(revision 727)
+++ /code/branches/FICN/src/orxonox/core/DebugLevel.cc	(revision 728)
Index: /code/branches/FICN/src/orxonox/core/Language.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/Language.cc	(revision 727)
+++ /code/branches/FICN/src/orxonox/core/Language.cc	(revision 728)
@@ -142,5 +142,5 @@
 
         // Make sure we don't create a duplicate entry
-        if (!it->second)
+        if (it == this->languageEntries_.end())
         {
             LanguageEntry* newEntry = new LanguageEntry(entry);
@@ -161,6 +161,7 @@
     void Language::addEntry(const LanguageEntryName& name, const std::string& entry)
     {
+        COUT(5) << "Called addEntry with\n  name: " << name << "\n  entry: " <<  entry << std::endl;
         std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
-        if (!it->second)
+        if (it == this->languageEntries_.end())
         {
             // The entry isn't available yet, meaning it's new, so create it
@@ -180,4 +181,5 @@
         // Write the default language file because either a new entry was created or an existing entry has changed
         this->writeDefaultLanguageFile();
+
     }
 
@@ -190,5 +192,5 @@
     {
         std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
-        if (it->second)
+        if (it != this->languageEntries_.end())
             return it->second->getTranslation();
         else
@@ -294,5 +296,5 @@
 
                     // Check if the entry exists
-                    if (it->second)
+                    if (it != this->languageEntries_.end())
                         it->second->setTranslation(lineString.substr(pos + 1));
                     else
Index: /code/branches/FICN/src/orxonox/core/Language.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/Language.h	(revision 727)
+++ /code/branches/FICN/src/orxonox/core/Language.h	(revision 728)
@@ -63,9 +63,15 @@
             void setDefault(const std::string& fallbackEntry);
 
-            /** @brief Returns the translated entry in the configured language. @return The translated entry */
+            /**
+              @brief Returns the translated entry in the configured language.
+              @return The translated entry
+            */
             inline const std::string& getTranslation()
                 { return this->translatedEntry_; }
 
-            /** @brief Returns the default entry. @return The default entry */
+            /**
+              @brief Returns the default entry.
+              @return The default entry
+            */
             inline const std::string& getDefault()
                 { return this->fallbackEntry_; }
Index: /code/branches/FICN/src/orxonox/objects/NPC.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/NPC.h	(revision 727)
+++ /code/branches/FICN/src/orxonox/objects/NPC.h	(revision 728)
@@ -42,5 +42,5 @@
       static int const ALIGNMENTDISTANCE = 300;  //detectionradius of alignment
       static int const COHESIONDISTANCE = 5000;  //detectionradius of cohesion
-      static int const ANZELEMENTS = 9;  //number of elements
+      static int const NUMELEMENTS = 9;  //number of elements
   };
 
Index: /code/branches/FICN/src/orxonox/particle/ParticleInterface.cc
===================================================================
--- /code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 727)
+++ /code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 728)
@@ -67,5 +67,5 @@
   {
     //Abgleichen der anderen Emitter an die Variabeln
-    for (int i=1; i<numberOfEmitters_; i++) {
+    for (int i=1; i < numberOfEmitters_; i++) {
       particleSystem_->getEmitter(i)->setColour( colour_ );
       particleSystem_->getEmitter(i)->setTimeToLive( distance_ );
@@ -130,5 +130,5 @@
   void ParticleInterface::setDirection ( Vector3 direction )
   {
-    for(int i=0; i<numberOfEmitters_; i++) {
+    for(int i=0; i < numberOfEmitters_; i++) {
       particleSystem_->getEmitter(i)->setDirection(direction);
     }
@@ -137,5 +137,5 @@
   void ParticleInterface::switchEnable(){
     bool enable=(!(particleSystem_->getEmitter(0)->getEnabled()));
-    for(int i=0; i<numberOfEmitters_; i++) {
+    for(int i=0; i < numberOfEmitters_; i++) {
       particleSystem_->getEmitter(i)->setEnabled(enable);
     }
Index: /code/branches/FICN/src/orxonox/particle/ParticleInterface.h
===================================================================
--- /code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 727)
+++ /code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 728)
@@ -28,6 +28,8 @@
     ~ParticleInterface( void );
 
-    void inline addToSceneNode( Ogre::SceneNode* sceneNode ) { sceneNode_ = sceneNode; sceneNode_->attachObject(particleSystem_);};
-    void inline detachFromSceneNode( void ) { sceneNode_->detachObject(particleSystem_); sceneNode_ = NULL;};
+    inline void addToSceneNode( Ogre::SceneNode* sceneNode )
+        { sceneNode_ = sceneNode; sceneNode_->attachObject(particleSystem_);};
+    inline void detachFromSceneNode( void )
+        { sceneNode_->detachObject(particleSystem_); sceneNode_ = NULL;};
 
     Ogre::ParticleEmitter* getEmitter ( int emitterNr );
@@ -35,24 +37,31 @@
 
     Vector3 getPositionOfEmitter ( int emitterNr );
-    inline void setPositionOfEmitter ( int emitterNr, Vector3 position ) { particleSystem_->getEmitter(emitterNr)->setPosition(position); };
+    inline void setPositionOfEmitter ( int emitterNr, Vector3 position )
+        { particleSystem_->getEmitter(emitterNr)->setPosition(position); };
 
-    inline Vector3 getDirection ( void ) { return particleSystem_->getEmitter(0)->getDirection(); };
+    inline Vector3 getDirection ( void )
+        { return particleSystem_->getEmitter(0)->getDirection(); };
     void setDirection ( Vector3 direction );
 
-    inline Real getVelocity() {return velocity_; };
+    inline Real getVelocity()
+        {return velocity_; };
     void setVelocity( Real v );
 
-    inline int getRate() { return rate_; };
+    inline int getRate()
+      { return rate_; };
     void setRate( int r );
 
-    inline Real getDistance() { return distance_; };
+    inline Real getDistance()
+        { return distance_; };
     void setDistance( Real d );
 
-    inline ColourValue getColour( void ) {return colour_;};
+    inline ColourValue getColour( void )
+        {return colour_;};
     void setColour( ColourValue colour );
 
     void switchEnable();
 
-    inline Ogre::ParticleSystem* getParticleSystem() { return this->particleSystem_; };
+    inline Ogre::ParticleSystem* getParticleSystem()
+        { return this->particleSystem_; };
 
   private: