Index: code/branches/FICN/src/network/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/network/CMakeLists.txt	(revision 731)
+++ code/branches/FICN/src/network/CMakeLists.txt	(revision 732)
@@ -1,21 +1,3 @@
 PROJECT(Orxonox)
-
-SET( CHATCLIENT_SRC_FILES
-  ClientConnection.cc
-  Client.cc
-  PacketBuffer.cc
-  PacketDecoder.cc
-  PacketGenerator.cc
-  dummyclient3.cc
-)
-
-SET( CHATSERVER_SRC_FILES
-  ConnectionManager.cc
-  GameStateManager.cc
-  PacketBuffer.cc
-  PacketDecoder.cc
-  PacketGenerator.cc
-  dummyserver3.cc
-)
 
 SET( NETWORK_SRC_FILES
@@ -42,50 +24,70 @@
 TARGET_LINK_LIBRARIES(network ${ZLIB_LIBRARY} ${ENet_LIBRARY} ${Boost_thread_LIBRARIES})
 
-# chatserver for testing purposes
-ADD_EXECUTABLE(chatserver ${CHATSERVER_SRC_FILES})
-TARGET_LINK_LIBRARIES( chatserver
-  ${OGRE_LIBRARIES}
-  network
-  core
-  #objects
-  ${ENet_LIBRARY}
-  ${ZLIB_LIBRARY}
-  ${WINDOWS_ENET_DEPENDENCIES}
-)
+# build those parts only on request.
+IF(NETWORK_TESTING_ENABLED)
+  SET( CHATCLIENT_SRC_FILES
+    ClientConnection.cc
+    Client.cc
+    PacketBuffer.cc
+    PacketDecoder.cc
+    PacketGenerator.cc
+    dummyclient3.cc
+  )
 
-# chatclient for testing purpose
-ADD_EXECUTABLE(chatclient ${CHATCLIENT_SRC_FILES})
-TARGET_LINK_LIBRARIES( chatclient
-  ${OGRE_LIBRARIES}
-  network
-  core
-  #objects
-  ${ENet_LIBRARY}
-  ${ZLIB_LIBRARY}
-  ${WINDOWS_ENET_DEPENDENCIES}
-)
+  SET( CHATSERVER_SRC_FILES
+    ConnectionManager.cc
+    GameStateManager.cc
+    PacketBuffer.cc
+    PacketDecoder.cc
+    PacketGenerator.cc
+    dummyserver3.cc
+  )
 
-# client for testing purpose
-ADD_EXECUTABLE(client dummyclient2.cc)
-TARGET_LINK_LIBRARIES( client
-  ${OGRE_LIBRARIES}
-  network
-  core
-  #objects
-  ${ENet_LIBRARY}
-  ${ZLIB_LIBRARY}
-  ${WINDOWS_ENET_DEPENDENCIES}
-)
+  # chatserver for testing purposes
+  ADD_EXECUTABLE(chatserver ${CHATSERVER_SRC_FILES})
+  TARGET_LINK_LIBRARIES( chatserver
+    ${OGRE_LIBRARIES}
+    network
+    core
+    #objects
+    ${ENet_LIBRARY}
+    ${ZLIB_LIBRARY}
+    ${WINDOWS_ENET_DEPENDENCIES}
+  )
 
-# server for testing purpose
-ADD_EXECUTABLE(server dummyserver.cc)
-TARGET_LINK_LIBRARIES( server
-  ${OGRE_LIBRARIES}
-  network
-  core
-  #objects
-  ${ENet_LIBRARY}
-  ${ZLIB_LIBRARY}
-  ${WINDOWS_ENET_DEPENDENCIES}
-)
+  # chatclient for testing purpose
+  ADD_EXECUTABLE(chatclient ${CHATCLIENT_SRC_FILES})
+  TARGET_LINK_LIBRARIES( chatclient
+    ${OGRE_LIBRARIES}
+    network
+    core
+    #objects
+    ${ENet_LIBRARY}
+    ${ZLIB_LIBRARY}
+    ${WINDOWS_ENET_DEPENDENCIES}
+  )
 
+  # client for testing purpose
+  ADD_EXECUTABLE(client dummyclient2.cc)
+  TARGET_LINK_LIBRARIES( client
+    ${OGRE_LIBRARIES}
+    network
+    core
+    #objects
+    ${ENet_LIBRARY}
+    ${ZLIB_LIBRARY}
+    ${WINDOWS_ENET_DEPENDENCIES}
+  )
+
+  # server for testing purpose
+  ADD_EXECUTABLE(server dummyserver.cc)
+  TARGET_LINK_LIBRARIES( server
+    ${OGRE_LIBRARIES}
+    network
+    core
+    #objects
+    ${ENet_LIBRARY}
+    ${ZLIB_LIBRARY}
+    ${WINDOWS_ENET_DEPENDENCIES}
+  )
+ENDIF(NETWORK_TESTING_ENABLED)
Index: code/branches/FICN/src/network/GameStateClient.h
===================================================================
--- code/branches/FICN/src/network/GameStateClient.h	(revision 731)
+++ code/branches/FICN/src/network/GameStateClient.h	(revision 732)
@@ -2,5 +2,5 @@
 // C++ Interface: GameStateClient
 //
-// Description: 
+// Description:
 //
 //
@@ -21,7 +21,4 @@
 namespace network {
 
-/**
-	@author 
-*/
 class GameStateClient{
 public:
@@ -36,5 +33,5 @@
   GameState decode(GameStateCompressed x);
   void removeObject(orxonox::Iterator<Synchronisable> &it);
-  
+
   GameState reference;
 };
Index: code/branches/FICN/src/orxonox/core/Identifier.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Identifier.h	(revision 731)
+++ code/branches/FICN/src/orxonox/core/Identifier.h	(revision 732)
@@ -64,6 +64,6 @@
 // These two files would actually be need, but they would produce
 // circular dependencies. Anyway, it does compile without them
-//#include "OrxonoxClass.h"
-//#include "MetaObjectList.h"
+// #include "OrxonoxClass.h"
+// #include "MetaObjectList.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.h	(revision 731)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.h	(revision 732)
@@ -45,5 +45,5 @@
 
             void doNothing() {
-            int a = 0;
+            int a = 0;    //FIXME unused var
             }
 
Index: code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 731)
+++ code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 732)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include <OgreSceneManager.h>
 #include <OgreSceneNode.h>