Index: code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.cc	(revision 732)
+++ code/branches/FICN/src/loader/LevelLoader.cc	(revision 733)
@@ -34,5 +34,5 @@
 
 #include "audio/AudioManager.h"
-#include "orxonox/objects/BaseObject.h"
+#include "orxonox/core/BaseObject.h"
 #include "orxonox/Orxonox.h"
 
Index: code/branches/FICN/src/network/GameStateClient.h
===================================================================
--- code/branches/FICN/src/network/GameStateClient.h	(revision 732)
+++ code/branches/FICN/src/network/GameStateClient.h	(revision 733)
@@ -16,5 +16,5 @@
 #include "Synchronisable.h"
 #include "orxonox/core/CoreIncludes.h"
-#include "orxonox/objects/BaseObject.h"
+#include "orxonox/core/BaseObject.h"
 #include "GameStateManager.h"
 
Index: code/branches/FICN/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 732)
+++ code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 733)
@@ -18,5 +18,4 @@
 IF(WIN32)
   SET( OBJECTS_SRC_FILES
-    objects/BaseObject.cc
     objects/WorldEntity.cc
     objects/test1.cc
Index: code/branches/FICN/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/branches/FICN/src/orxonox/OrxonoxPrereqs.h	(revision 732)
+++ code/branches/FICN/src/orxonox/OrxonoxPrereqs.h	(revision 733)
@@ -62,18 +62,4 @@
 class InputManager;
 class SpaceShipSteering;
-
-// TinyXML
-class TiXmlString;
-class TiXmlOutStream;
-class TiXmlNode;
-class TiXmlHandle;
-class TiXmlDocument;
-class TiXmlElement;
-class TiXmlComment;
-class TiXmlUnknown;
-class TiXmlAttribute;
-class TiXmlText;
-class TiXmlDeclaration;
-class TiXmlParsingData;
 
 namespace orxonox {
Index: code/branches/FICN/src/orxonox/core/BaseObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/BaseObject.cc	(revision 733)
+++ code/branches/FICN/src/orxonox/core/BaseObject.cc	(revision 733)
@@ -0,0 +1,66 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/*!
+    @file BaseObject.cc
+    @brief Implementation of the BaseObject class.
+*/
+
+#include "tinyxml/tinyxml.h"
+
+#include "BaseObject.h"
+
+namespace orxonox
+{
+    CreateFactory(BaseObject);
+
+    /**
+        @brief Constructor: Registers the object in the BaseObject-list.
+    */
+    BaseObject::BaseObject()
+    {
+        RegisterRootObject(BaseObject);
+    }
+
+    /**
+        @brief Destructor
+    */
+    BaseObject::~BaseObject()
+    {
+    }
+
+    /**
+        @brief load general xml paramters
+    */
+    void BaseObject::loadParams(TiXmlElement* xmlElem)
+    {
+        if (xmlElem->Attribute("name"))
+        {
+            this->setName(xmlElem->Attribute("name"));
+        }
+    }
+}
Index: code/branches/FICN/src/orxonox/core/BaseObject.h
===================================================================
--- code/branches/FICN/src/orxonox/core/BaseObject.h	(revision 733)
+++ code/branches/FICN/src/orxonox/core/BaseObject.h	(revision 733)
@@ -0,0 +1,29 @@
+/*!
+    @file BaseObject.h
+    @brief Definition of the BaseObject class.
+
+    The BaseObject is the parent of all classes representing an instance in the game.
+*/
+
+#ifndef _BaseObject_H__
+#define _BaseObject_H__
+
+#include "CorePrereqs.h"
+#include "tinyxml/TinyXMLPrereqs.h"
+
+#include "CoreIncludes.h"
+
+namespace orxonox
+{
+    //! The BaseObject is the parent of all classes representing an instance in the game.
+    class _CoreExport BaseObject : virtual public OrxonoxClass
+    {
+        public:
+            BaseObject();
+            virtual ~BaseObject();
+            virtual void loadParams(TiXmlElement* xmlElem);
+    };
+    ExportClass(BaseObject, Core);
+}
+
+#endif /* _BaseObject_H__ */
Index: code/branches/FICN/src/orxonox/core/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/core/CMakeLists.txt	(revision 732)
+++ code/branches/FICN/src/orxonox/core/CMakeLists.txt	(revision 733)
@@ -2,4 +2,5 @@
 
 SET( CORE_SRC_FILES
+  BaseObject.cc
   Factory.cc
   IdentifierList.cc
Index: code/branches/FICN/src/orxonox/core/Factory.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/Factory.cc	(revision 732)
+++ code/branches/FICN/src/orxonox/core/Factory.cc	(revision 733)
@@ -33,5 +33,5 @@
 #include "Identifier.h"
 #include "Debug.h"
-#include "../objects/BaseObject.h"
+#include "BaseObject.h"
 #include "Factory.h"
 
Index: code/branches/FICN/src/orxonox/objects/Ambient.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.h	(revision 732)
+++ code/branches/FICN/src/orxonox/objects/Ambient.h	(revision 733)
@@ -4,5 +4,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "BaseObject.h"
+#include "orxonox/core/BaseObject.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/BaseObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 732)
+++ 	(revision )
@@ -1,66 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      ...
- *   Co-authors:
- *      ...
- *
- */
-
-/*!
-    @file BaseObject.cc
-    @brief Implementation of the BaseObject class.
-*/
-
-#include "tinyxml/tinyxml.h"
-
-#include "BaseObject.h"
-
-namespace orxonox
-{
-    CreateFactory(BaseObject);
-
-    /**
-        @brief Constructor: Registers the object in the BaseObject-list.
-    */
-    BaseObject::BaseObject()
-    {
-        RegisterRootObject(BaseObject);
-    }
-
-    /**
-        @brief Destructor
-    */
-    BaseObject::~BaseObject()
-    {
-    }
-
-    /**
-        @brief load general xml paramters
-    */
-    void BaseObject::loadParams(TiXmlElement* xmlElem)
-    {
-        if (xmlElem->Attribute("name"))
-        {
-            this->setName(xmlElem->Attribute("name"));
-        }
-    }
-}
Index: code/branches/FICN/src/orxonox/objects/BaseObject.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseObject.h	(revision 732)
+++ 	(revision )
@@ -1,29 +1,0 @@
-/*!
-    @file BaseObject.h
-    @brief Definition of the BaseObject class.
-
-    The BaseObject is the parent of all classes representing an instance in the game.
-*/
-
-#ifndef _BaseObject_H__
-#define _BaseObject_H__
-
-#include "../OrxonoxPrereqs.h"
-#include "../core/CorePrereqs.h"
-
-#include "../core/CoreIncludes.h"
-
-namespace orxonox
-{
-    //! The BaseObject is the parent of all classes representing an instance in the game.
-    class _OrxonoxExport BaseObject : virtual public OrxonoxClass
-    {
-        public:
-            BaseObject();
-            virtual ~BaseObject();
-            virtual void loadParams(TiXmlElement* xmlElem);
-    };
-    //ExportClass(BaseObject, Orxonox);
-}
-
-#endif /* _BaseObject_H__ */
Index: code/branches/FICN/src/orxonox/objects/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/objects/CMakeLists.txt	(revision 732)
+++ code/branches/FICN/src/orxonox/objects/CMakeLists.txt	(revision 733)
@@ -3,5 +3,4 @@
 SET( OBJECTS_SRC_FILES
   Ambient.cc
-  BaseObject.cc
   BillboardSet.cc
   Camera.cc
Index: code/branches/FICN/src/orxonox/objects/Camera.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.h	(revision 732)
+++ code/branches/FICN/src/orxonox/objects/Camera.h	(revision 733)
@@ -4,5 +4,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "BaseObject.h"
+#include "orxonox/core/BaseObject.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/Skybox.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Skybox.h	(revision 732)
+++ code/branches/FICN/src/orxonox/objects/Skybox.h	(revision 733)
@@ -4,5 +4,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "BaseObject.h"
+#include "orxonox/core/BaseObject.h"
 
 class TiXmlElement; // Forward declaration
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 732)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 733)
@@ -11,5 +11,5 @@
 #include "tinyxml/tinyxml.h"
 #include "../core/CoreIncludes.h"
-#include "BaseObject.h"
+#include "orxonox/core/BaseObject.h"
 #include "Tickable.h"
 #include "Mesh.h"
Index: code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h	(revision 732)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.h	(revision 733)
@@ -38,5 +38,5 @@
 #include "network/Synchronisable.h"
 //#include "../core/CoreIncludes.h"
-#include "../BaseObject.h"
+#include "orxonox/core/BaseObject.h"
 
 
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h	(revision 732)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h	(revision 733)
@@ -39,5 +39,5 @@
 #include "tinyxml/tinyxml.h"
 #include "../../core/CoreIncludes.h"
-#include "../BaseObject.h"
+#include "orxonox/core/BaseObject.h"
 #include "../Tickable.h"
 
Index: code/branches/FICN/src/tinyxml/TinyXMLPrereqs.h
===================================================================
--- code/branches/FICN/src/tinyxml/TinyXMLPrereqs.h	(revision 733)
+++ code/branches/FICN/src/tinyxml/TinyXMLPrereqs.h	(revision 733)
@@ -0,0 +1,75 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+ @file  OrxonoxPrereq.h
+ @brief Contains all the necessary forward declarations for all classes, structs and enums.
+ */
+
+#ifndef _TinyXMLPrereqs_H__
+#define _TinyXMLPrereqs_H__
+
+#include "orxonox/OrxonoxPlatform.h"
+
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+#if (ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32) && !defined( TINYXML_STATIC_BUILD )
+#  ifdef TINYXML_SHARED_BUILD
+#    define _TinyXMLExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _TinyXMLExport
+#    else
+#      define _TinyXMLExport __declspec(dllimport)
+#    endif
+#  endif
+#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _TinyXMLExport  __attribute__ ((visibility("default")))
+#else
+#  define _TinyXMLExport
+#endif
+
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+class TiXmlString;
+class TiXmlOutStream;
+class TiXmlNode;
+class TiXmlHandle;
+class TiXmlDocument;
+class TiXmlElement;
+class TiXmlComment;
+class TiXmlUnknown;
+class TiXmlAttribute;
+class TiXmlText;
+class TiXmlDeclaration;
+class TiXmlParsingData;
+
+#endif /* _TinyXMLPrereqs_H__ */
Index: code/branches/FICN/visual_studio/FICN.sln
===================================================================
--- code/branches/FICN/visual_studio/FICN.sln	(revision 732)
+++ code/branches/FICN/visual_studio/FICN.sln	(revision 733)
@@ -16,4 +16,7 @@
 		Release.AspNetCompiler.Debug = "False"
 	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Orxonox", "benixonox.vcproj", "{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
@@ -23,9 +26,9 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
+		{E283910F-F911-40FB-A09D-D025CA821912} = {E283910F-F911-40FB-A09D-D025CA821912}
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
-		{E283910F-F911-40FB-A09D-D025CA821912} = {E283910F-F911-40FB-A09D-D025CA821912}
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
 	EndProjectSection
 EndProject
@@ -45,7 +48,7 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 	EndProjectSection
 EndProject
Index: code/branches/FICN/visual_studio/benixonox.vcproj
===================================================================
--- code/branches/FICN/visual_studio/benixonox.vcproj	(revision 732)
+++ code/branches/FICN/visual_studio/benixonox.vcproj	(revision 733)
@@ -197,8 +197,4 @@
 				</File>
 				<File
-					RelativePath="..\src\orxonox\objects\BaseObject.cc"
-					>
-				</File>
-				<File
 					RelativePath="..\src\orxonox\objects\BillboardSet.cc"
 					>
@@ -331,8 +327,4 @@
 				</File>
 				<File
-					RelativePath="..\src\orxonox\objects\BaseObject.h"
-					>
-				</File>
-				<File
 					RelativePath="..\src\orxonox\objects\BillboardSet.h"
 					>
Index: code/branches/FICN/visual_studio/core.vcproj
===================================================================
--- code/branches/FICN/visual_studio/core.vcproj	(revision 732)
+++ code/branches/FICN/visual_studio/core.vcproj	(revision 733)
@@ -160,4 +160,8 @@
 			</File>
 			<File
+				RelativePath="..\src\orxonox\core\BaseObject.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\src\orxonox\core\ConfigValueContainer.cc"
 				>
@@ -214,4 +218,8 @@
 			</File>
 			<File
+				RelativePath="..\src\orxonox\core\BaseObject.h"
+				>
+			</File>
+			<File
 				RelativePath="..\src\orxonox\core\ClassFactory.h"
 				>
Index: code/branches/FICN/visual_studio/tinyxml.vcproj
===================================================================
--- code/branches/FICN/visual_studio/tinyxml.vcproj	(revision 732)
+++ code/branches/FICN/visual_studio/tinyxml.vcproj	(revision 733)
@@ -162,4 +162,8 @@
 				>
 			</File>
+			<File
+				RelativePath="..\src\tinyxml\TinyXMLPrereqs.h"
+				>
+			</File>
 		</Filter>
 	</Files>